4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.PackageManager

Classes: PackageManager |  |  |  | Globals: DEBUG, PKGINFO_FORMAT, generators

## Classes

class PackageManager(Ft.Lib.DistExt.Dist.Dist)

  ### Methods

  __init__(self, attrs)
    Overrides: __init__ from class Dist
  check_package_options(self, options)
    Ensure that the package attributes are valid and the required fields are provided.

        Raise DistutilsSetupError if the stucture is invalid anywhere.

  finalize_options(self)
    Overrides: finalize_options from class Dist
  get_distributions(self)
  get_package_distribution(self, package)
    Return the distribution object for 'package'. Normally this object is cached on a previous call to 'get_package_distribution()'; if no distribution object is in the cache, then it is created.
  get_package_options(self, package)
    Get the option dictionary for a given package. If that packages's option dictionary hasn't been created yet, then create it and return the new dictionary; otherwise, return the existing option dictionary.
  handle_display_options(self, option_order)
    Overrides handle_display_options() to update 'package_defaults' and handle the '--help-packages' option.
    Overrides: handle_display_options from class Dist
  parse_command_line(self)
    Overrides parse_command_line() to validate the '--package' option and to add the command-line options to the default package options.
    Overrides: parse_command_line from class Dist
  parse_config_files(self, filenames=None)
    Overrides parse_config_files() to update 'package_defaults' with any global values from the config files and to parse the package files to populate the 'package_options' dictionary.
    Overrides: parse_config_files from class Dist
  parse_package_file(self, filename)
    Returns a dictionary of the options defined in the package definition 'filename'.
  print_packages(self)
    Print out a help message listing all available packages with a description of each. The descriptions come from the package definition's 'description' field.
  run_commands(self)
    Overrides run_commands() to handle multiple source packages in a single setup script.
    Overrides: run_commands from class Dist

  ### Methods inherited from class Ft.Lib.DistExt.Dist.Dist

  announce, get_allfiles, get_command_class, get_command_list, get_source_files, has_bgen, has_devel, has_docs, has_l10n, has_localstate, has_sysconf, has_text, print_commands, print_option_list

  ### Methods inherited from class distutils.dist.Distribution

  dump_option_dicts, find_config_files, get_command_obj, get_command_packages, get_option_dict, has_c_libraries, has_data_files, has_ext_modules, has_headers, has_modules, has_pure_modules, has_scripts, is_pure, print_command_list, reinitialize_command, run_command

  ### Members

  display_option_names = ['help_packages', 'help_commands', 'name', 'version', 'fullname', 'author', 'author_email', 'maintainer', 'maintainer_email', 'contact', 'contact_email', 'url', 'license', 'licence', 'description', 'long_description', 'platforms', 'classifiers', 'keywords', 'provides', ...]
  display_options = [('help-packages', None, 'list all available packages'), ('help-commands', None, 'list all available commands'), ('name', None, 'print package name'), ('version', 'V', 'print package version'), ('fullname', None, 'print <package name>-<version>'), ('author', None, "print the author's name"), ('author-email', None, "print the author's email address"), ('maintainer', None, "print the maintainer's name"), ('maintainer-email', None, "print the maintainer's email address"), ('contact', None, "print the maintainer's name if known, else the author's"), ('contact-email', None, "print the maintainer's email address if known, else the author's"), ('url', None, 'print the URL for this package'), ('license', None, 'print the license of the package'), ('licence', None, 'alias for --license'), ('description', None, 'print the package description'), ('long-description', None, 'print the long package description'), ('platforms', None, 'print the list of platforms'), ('classifiers', None, 'print the list of classifiers'), ('keywords', None, 'print the list of keywords'), ('provides', None, 'print the list of packages/modules provided'), ...]
  toplevel_options = [('source-package', 's', 'run as if from a source dist (developer testing)'), ('package=', 'p', 'limit command(s) to a given package')]

  ### Members inherited from class Ft.Lib.DistExt.Dist.Dist

  command_aliases, command_mapping, source_package, standard_commands

  ### Members inherited from class distutils.dist.Distribution

  common_usage, global_options, negative_opt

## Globals

DEBUG = None
PKGINFO_FORMAT = {'bgen_files': <type 'list'>, 'classifiers': <type 'list'>, 'config_module': <type 'str'>, 'data_files': <type 'list'>, 'description': <type 'str'>, 'devel_files': <type 'list'>, 'doc_files': <type 'list'>, 'download_url': <type 'str'>, 'ext_modules': <type 'list'>, 'headers': <type 'list'>, ...}
generators = _Feature((2, 2, 0, 'alpha', 1), (2, 3, 0, 'final', 0), 0)